import { ComponentType } from 'react';
import { ImageSourcePropType } from 'react-native';
export declare type IconComponentProps = {
    /** The size of the icon to render */
    size?: number;
    /** The color of the icon to render
     *
     * Default: Theme.colors.text
     */
    color?: string;
    /** If true, the icon should scale with the system font size
     *
     * Default: true
     */
    allowFontScaling?: boolean;
};
export declare type IconFunctionProps = IconComponentProps & {
    /** The direction of the current device language */
    direction?: 'rtl' | 'ltr';
};
export declare type IconFamily = {
    name: string;
    family?: 'material' | 'brightlayer-ui' | 'material-community';
    direction?: 'rtl' | 'ltr' | 'auto';
    allowFontScaling?: boolean;
};
export declare type IconSourceBase = string | ImageSourcePropType;
export declare type IconSource = IconFamily | IconSourceBase | JSX.Element | ComponentType<IconFunctionProps>;
export declare type HeaderIcon = {
    /** Component to render for the icon */
    icon: IconSource;
    /** Callback when icon is pressed */
    onPress?: () => void;
};
export declare type HeaderActionComponent = {
    component: JSX.Element;
    width?: number;
};
export declare type EdgeInsets = {
    top: number;
    left: number;
    bottom: number;
    right: number;
};
