"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDrawerContext = exports.DrawerContext = void 0;
const react_1 = require("react");
exports.DrawerContext = react_1.createContext({});
/**
 * useDrawerContext hook
 *
 * This hook will provide you with the activeItem that is set at the top-level of the Drawer. It also provides access
 * to the onItemSelect callback function. We expose this through a Context in order to avoid passing this prop
 * through every layer of the component hierarchy. This hook can only be called from within a
 * DrawerContext.Provider.
 */
exports.useDrawerContext = () => react_1.useContext(exports.DrawerContext);
