"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrawerSubheader = void 0;
const react_1 = __importDefault(require("react"));
const react_native_paper_1 = require("react-native-paper");
/**
 * [DrawerSubheader](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--drawer) component
 *
 * The DrawerSubheader is a wrapper for additional content in your navigation Drawer. This section will always
 * be pinned between the DrawerHeader and the DrawerBody. You can pass in any content you want as a child of this
 * component, but you are responsible for adjusting the styles as necessary when the drawer is opened
 * and closed.
 */
exports.DrawerSubheader = (props) => {
    const { children, divider = true } = props;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        children,
        divider && react_1.default.createElement(react_native_paper_1.Divider, null)));
};
exports.DrawerSubheader.displayName = 'DrawerSubheader';
