"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Drawer = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_safe_area_context_1 = require("react-native-safe-area-context");
const react_native_paper_1 = require("react-native-paper");
const utilities_1 = require("./utilities");
const context_1 = require("./context");
const makeStyles = (props, theme, insets) => react_native_1.StyleSheet.create({
    root: {
        backgroundColor: props.backgroundColor || theme.colors.surface,
        zIndex: 2,
        flex: 1,
        height: '100%',
        paddingBottom: insets.bottom,
    },
});
/**
 * [Drawer](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--drawer) component
 *
 * The Drawer is a parent container that manages all of the content displayed in your primary
 * navigation drawer. It can contain a DrawerHeader, DrawerSubheader, DrawerBody, and DrawerFooter.
 */
exports.Drawer = (props) => {
    const { 
    // Inheritable Props
    /* eslint-disable @typescript-eslint/no-unused-vars */
    activeItemBackgroundColor, activeItemBackgroundShape, activeItemFontColor, activeItemIconColor, backgroundColor, chevron, collapseIcon, disableActiveItemParentStyles, divider, expandIcon, hidePadding, itemFontColor, itemIconColor, nestedBackgroundColor, nestedDivider, theme: themeOverride, 
    /* eslint-enable @typescript-eslint/no-unused-vars */
    // Drawer-specific props
    activeItem, onItemSelect, styles = {}, 
    // Other View Props
    style, ...viewProps } = props;
    const theme = react_native_paper_1.useTheme(themeOverride);
    const insets = react_native_safe_area_context_1.useSafeAreaInsets();
    const defaultStyles = makeStyles(props, theme, insets);
    const getSectionByDisplayName = react_1.useCallback((displayName, inherit = false) => utilities_1.findChildByType(props.children, [displayName])
        .slice(0, 1)
        .map((child) => {
        let inheritableProps = {};
        if (inherit) {
            inheritableProps = utilities_1.inheritSharedProps({ ...props, theme }, child.props);
        }
        return react_1.default.cloneElement(child, inheritableProps);
    }), [props, theme]);
    return (react_1.default.createElement(context_1.DrawerContext.Provider, { value: {
            activeItem,
            onItemSelect,
        } },
        react_1.default.createElement(react_native_paper_1.Surface, Object.assign({ style: [defaultStyles.root, styles.root, style] }, viewProps),
            getSectionByDisplayName('DrawerHeader'),
            getSectionByDisplayName('DrawerSubheader'),
            getSectionByDisplayName('DrawerBody', true),
            getSectionByDisplayName('DrawerFooter'))));
};
exports.Drawer.defaultProps = {
    activeItemBackgroundShape: 'square',
    chevron: false,
    divider: false,
    hidePadding: true,
};
