"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const MaterialIcons_1 = __importDefault(require("react-native-vector-icons/MaterialIcons"));
const MaterialCommunityIcons_1 = __importDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
const react_native_vector_icons_1 = __importDefault(require("@brightlayer-ui/react-native-vector-icons"));
const typography_1 = require("../typography");
const react_native_paper_1 = require("react-native-paper");
const isImageSource = (source) => 
// source is an object with uri
(typeof source === 'object' &&
    source !== null &&
    Object.prototype.hasOwnProperty.call(source, 'uri') &&
    typeof source.uri === 'string') ||
    // source is a module, e.g. - require('image')
    typeof source === 'number' ||
    // image url on web
    (react_native_1.Platform.OS === 'web' &&
        typeof source === 'string' &&
        (source.startsWith('data:image') || /\.(bmp|jpg|jpeg|png|gif|svg)$/.test(source)));
const isIconFamily = (source) => source.name !== undefined;
/**
 * Icon component
 *
 * The Icon component is an internal utility component used to render icons inside of other components.
 * It standardizes the implementation of the icon and handles all of the different ways
 * to specify the icon without having to duplicate this logic inside of every component that
 * utilizes icons.
 */
exports.Icon = (props) => {
    const { theme: themeOverride, ...otherProps } = props;
    const theme = react_native_paper_1.useTheme(themeOverride);
    const { color = theme.colors.text, size = 24, allowFontScaling = true, source, ...rest } = otherProps;
    const deviceDirection = react_native_1.I18nManager.isRTL ? 'rtl' : 'ltr';
    // const fontScale = scale ? PixelRatio.getFontScale() : 1;
    // const flipIcon = (directionProp === 'auto' && deviceDirection === 'rtl') || directionProp === 'rtl';
    const flipIconStyle = {
        transform: [{ scaleX: -1 }],
    };
    // JSX Element
    if (React.isValidElement(source)) {
        return source;
    }
    // IconFamily Object
    if (typeof source === 'object' && isIconFamily(source)) {
        const scale = source.allowFontScaling === undefined ? allowFontScaling : source.allowFontScaling;
        const flip = (source.direction !== 'ltr' && deviceDirection === 'rtl') || source.direction === 'rtl';
        switch (source.family) {
            case 'material-community':
                return (React.createElement(MaterialCommunityIcons_1.default, { name: source.name, size: size, allowFontScaling: scale, color: color, style: flip ? flipIconStyle : {} }));
            case 'brightlayer-ui':
                return (React.createElement(react_native_vector_icons_1.default, { name: source.name, size: size, allowFontScaling: scale, color: color, style: flip ? flipIconStyle : {} }));
            case 'material':
            default:
                return (React.createElement(MaterialIcons_1.default, { name: source.name, size: size, allowFontScaling: scale, color: color, style: flip ? flipIconStyle : {} }));
        }
    }
    // Function component or wrapIcon output
    if (typeof source === 'function') {
        const Component = source;
        return React.createElement(Component, { size: size, color: color, direction: deviceDirection, allowFontScaling: allowFontScaling });
    }
    // Image source
    if (isImageSource(source)) {
        return (React.createElement(react_native_1.Image, Object.assign({}, rest, { source: source, style: [
                {
                    width: size,
                    height: size,
                    // tintColor: color,
                    resizeMode: 'contain',
                },
            ], accessibilityElementsHidden: true, importantForAccessibility: 'no-hide-descendants' })));
    }
    // String
    if (typeof source === 'string') {
        return React.createElement(typography_1.Body1, { style: [{ fontSize: size, color: color }] }, source);
    }
    return null;
};
