"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BottomSheet = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_modal_1 = __importDefault(require("react-native-modal"));
const react_native_paper_1 = require("react-native-paper");
const useStyles = (theme, props) => react_native_1.StyleSheet.create({
    root: {
        justifyContent: 'flex-end',
        margin: 0,
    },
    background: {
        backgroundColor: props.backgroundColor || theme.colors.surface,
    },
});
/**
 * BottomSheet component
 *
 * This is a utility component for the UserMenu. It handles rendering the menu items in
 * a bottom sheet that appears from the bottom of the screen.
 */
exports.BottomSheet = (props) => {
    const { show, children, onClose, styles = {} } = props;
    const theme = react_native_paper_1.useTheme();
    const defaultStyles = useStyles(theme, props);
    return (react_1.default.createElement(react_native_modal_1.default, { isVisible: show, backdropOpacity: 0.5, onBackdropPress: onClose, supportedOrientations: ['portrait', 'landscape'], style: [defaultStyles.root, styles.root] },
        react_1.default.createElement(react_native_1.SafeAreaView, { style: [defaultStyles.background, styles.background] }, children)));
};
