import React from 'react';
import { ActivityIndicator } from 'react-native-paper';
export declare type ThemedActivityIndicator = React.ComponentProps<typeof ActivityIndicator>;
/**
 * ThemedActivityIndicator component
 *
 * This component is a wrapper around the React Native Paper [ActivityIndicator](https://callstack.github.io/react-native-paper/activity-indicator.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedActivityIndicator: React.FC<ThemedActivityIndicator>;
