import React from 'react';
import { Badge } from 'react-native-paper';
export declare type ThemedBadgeProps = React.ComponentProps<typeof Badge>;
/**
 * ThemedBadge component
 *
 * This component is a wrapper around the React Native Paper [Badge](https://callstack.github.io/react-native-paper/badge.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedBadge: React.FC<ThemedBadgeProps>;
