import React from 'react';
import { Snackbar } from 'react-native-paper';
export declare type ThemedSnackbarProps = React.ComponentProps<typeof Snackbar>;
/**
 * ThemedSnackbar component
 *
 * This component is a wrapper around the React Native Paper [Snackbar](https://callstack.github.io/react-native-paper/snackbar.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedSnackbar: React.FC<ThemedSnackbarProps>;
